/**
 * @function _tmpl
 * @private
 */

'use strict'

const fs = require('fs')
const stringcase = require('stringcase')
const types = require('./types')

/** @lends _tmpl */
function _tmpl (model) {
  let filename = types[ stringcase.camelcase(model) ] || types.default
  return fs.readFileSync(`${__dirname}/../${filename}`).toString()
}

module.exports = _tmpl
